PDA

View Full Version : FBO + RTT array layer + newer drivers = error!



babis
10-27-2008, 02:44 PM
Hello,

I had a working implementation of an FBO rendering to texture array layers 2 months ago. Today I decided to update my NV drivers (also updated GLee btw) and .. kaboom. I get an incomplete_draw_buffer problem. Probably it insists on NOT considering my texarray slice valid.

To be brief :

I tried a normal 2D texture & works.
I get no errors whatsoever.
When I check FBO status with texarray : incomplete_draw_buffers

..Any ideas?

(if more info is needed please tell me)

Thanks,
Babis

babis
10-27-2008, 03:39 PM
Update :

Using the older GLee (the latest that was in July) this problem is fixed but it *crashes* in glFramebufferTextureLayerEXT when I use more than about 6-7 slices. 4 & below works fine.
Funny thing is that in July/August I had another similar weird problem (http://www.opengl.org/discussion_boards/ubbthreads.php?ubb=showflat&Main=47401&Number=240815#Post240815)
.
And it seems it just got worse with the newer drivers.
Could it be that the drivers ..stink?